Remove -Wmisleading-indentation from gcc devteam warning options
authorBernd Edlinger <bernd.edlinger@hotmail.de>
Fri, 30 Mar 2018 18:03:37 +0000 (20:03 +0200)
committerBernd Edlinger <bernd.edlinger@hotmail.de>
Sat, 31 Mar 2018 15:00:54 +0000 (17:00 +0200)
because this one is enabled by default anyways

Reviewed-by: Rich Salz <rsalz@openssl.org>
(Merged from https://github.com/openssl/openssl/pull/5817)

Configure

index bd8fd39..b06f17f 100755 (executable)
--- a/Configure
+++ b/Configure
@@ -1476,7 +1476,6 @@ if ($strict_warnings)
 
        die "ERROR --strict-warnings requires gcc[>=4] or gcc-alike"
             unless $gccver >= 4;
-       $gcc_devteam_warn .= " -Wmisleading-indentation" if $gccver >= 6;
        foreach $wopt (split /\s+/, $gcc_devteam_warn)
                {
                push @{$config{cflags}}, $wopt